Cyberduck Mountain Duck CLI

#9554 closed enhancement (fixed)

Unregistered button placement in full screen view

Reported by: roman Owned by: dkocher
Priority: normal Milestone: 5.1
Component: core Version: Nightly Build
Severity: minor Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description (last modified by roman)

Steps to reproduce:

  1. Open Cyberduck full screen on OS X with another app on the second half of the screen.
  2. Observe the Unregistered button

Expected: The button is clearly visible

Actual: The button is hidden behind the interface

Cyberduck: Version 5.0 (20118) OS X: 10.11.5 (15F34)

Attachments (1)

unregistered.png (189.4 KB) - added by roman on May 20, 2016 at 7:55:20 PM.

Download all attachments as: .zip

Change History (7)

Changed on May 20, 2016 at 7:55:20 PM by roman

comment:1 Changed on May 20, 2016 at 8:06:25 PM by roman

  • Description modified (diff)

comment:2 Changed on May 23, 2016 at 8:03:56 AM by dkocher

  • Milestone set to 5.1
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on May 23, 2016 at 11:49:50 AM by dkocher

We should use the new NSTitlebarAccessoryViewController API.

comment:4 Changed on May 23, 2016 at 11:51:36 AM by dkocher

This should also resolve

2016-05-23 13:38:13.141 Cyberduck[75998:13217226] NSWindow warning: adding an unknown subview: <NSButton: 0x7fd58c85b730>. Break on NSLog to debug.
2016-05-23 13:38:13.142 Cyberduck[75998:13217226] Call stack:
(
	0   AppKit                              0x00007fff93a4a8bb -[NSThemeFrame addSubview:] + 107
	1   libjnidispatch.dylib                0x000000011ed4f134 ffi_call_unix64 + 76
	2   ???                                 0x00007fff57b1d0f8 0x0 + 140734664659192
)


comment:5 Changed on May 24, 2016 at 10:39:05 AM by dkocher

  • Summary changed from Unregistered button is cut out to Unregistered button placement in full screen view
  • Type changed from defect to enhancement

comment:6 Changed on Aug 24, 2016 at 2:01:03 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r21322.

Note: See TracTickets for help on using tickets.
swiss made software